import { View } from "@tarojs/components"
import { memo } from "react"
import style from "./index.module.scss"

type Params = {
    onClose?: () => void,
    styleObj?: Object
}

export default memo(({onClose, styleObj = {}}:Params) => {
    return (
        <View 
            style={styleObj}
            className={`iconfont icon-a-cuowuwrong ${style.icon_a_cuowuwrong_self}`}
            onClick={onClose}
        ></View>
    )
})