import { Input, View } from "@tarojs/components";
import styles from "./index.module.scss"
import CloseBtn from "@/components/closeBtn"
import { memo, useState } from "react";

type Params = {
    clickOnSearch?: () => void
    disabled?: false|true,
    placeholder?: string,
    changeOnSearch?:(any) => void,
    showIcon?: false|true,
    style?: Object
}

export default memo(({
    clickOnSearch,
    changeOnSearch,
    disabled = false,
    placeholder = '输入搜索内容',
    showIcon = true,
    style = {}
}:Params) => {
    const [inputCon , setInputCon] = useState('')

    const onInputEven = (e) => {
        const value = e.detail.value
        setInputCon(value)
        changeOnSearch?.(value)
    }

    const clearInput = () => {
        setInputCon('')
        changeOnSearch?.('')
    }
    return (
        <>
            <View className={styles.search_main} onClick={() => clickOnSearch?.()} style={style}>
                <View className={styles.search_con}>
                    {showIcon&&<View className={`iconfont icon-sousuo  ${styles.icon_a_sousuo1_self}`}></View>}
                    <Input placeholderStyle='color:#ABABAB; font-size:26rpx' disabled={disabled} value={inputCon} placeholder={placeholder} onInput={(e) => onInputEven(e)}></Input>
                    {!!inputCon&&<View className={styles.search_closeBtn}>
                        <CloseBtn onClose={() => clearInput()} styleObj={{width: '20rpx', height:'20rpx', backgroundColor:'#fff', border:'0'}}/>
                    </View>}
                </View>
            </View>
        </>
    )
})